# Presentación *Self-Hosting para novatas*

Presentación para las Jornadas Libres III en la Lleialtec el 25-01-2020 hecha con reveal.js

## Instrucciones para poder reproducir o modificar la presentación
### Modo directo
Seguir la [guia de instalación básica](https://github.com/hakimel/reveal.js/#basic-setup) de reveal.js y cambiar el index.html por el de este repositorio

### Modo completo
Para poder usar todas las opciones de reveal.js, como las notas para la presentadora, se pueden seguir los pasos de la [guia de instalación completa](https://github.com/hakimel/reveal.js/#full-setup) de reveal.js o seguir los siguientes pasos:
1. Instalar Node.js (en principio requiere versión 9.0.0 o posterior pero esta presentación funciona también con versión 8.10.0)
1. Clonar el repositorio

```
git clone https://git.xaloc.space/xaloc/presentacio_nrp.git
```
1. Ir a la carpeta del repositorio
1. Instalar dependencias

```
npm install
```
1. Servir la presentación y monitorear la fuente para cambios (así la página se refresca automáticamente al modificar index.html)

```
npm start
```
1. Abrir http://localhost:8000 para ver la presentación

Para poder hacer cambios hay que modificar el index.html

[Aquí](https://github.com/hakimel/reveal.js/#revealjs--) encontrareis las guias y funcionalidades para crear presentaciones con reveal.js
